HaXml-1.25.5: Utilities for manipulating XML documents

Safe Haskell | Safe
Language | Haskell98

Text.XML.HaXml.Schema.XSDTypeModel

# Documentation

type TypeName = String #

type URI = String #

type Regexp = String #

type FixedValue = String #

type DefaultValue = String #

type SchemaLocation = String #

data ProcessContents #

Constructors

Skip |
Lax |
Strict |

Instances

Eq ProcessContents # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ProcessContents -> ProcessContents -> Bool # (/=) :: ProcessContents -> ProcessContents -> Bool #
Show ProcessContents # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ProcessContents -> ShowS # show :: ProcessContents -> String # showList :: [ProcessContents] -> ShowS #

type Block = Final #

data Final #

Constructors

NoExtension |
NoRestriction |
AllFinal |

Instances

Eq Final # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Final -> Final -> Bool # (/=) :: Final -> Final -> Bool #
Show Final # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Final -> ShowS # show :: Final -> String # showList :: [Final] -> ShowS #

type TargetNamespace = URI #

data QForm #

Constructors

Qualified |
Unqualified |

Instances

Eq QForm # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: QForm -> QForm -> Bool # (/=) :: QForm -> QForm -> Bool #
Show QForm # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> QForm -> ShowS # show :: QForm -> String # showList :: [QForm] -> ShowS #

data Annotation #

Constructors

Documentation String |
AppInfo String |
NoAnnotation String |

Instances

Eq Annotation # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Annotation -> Annotation -> Bool # (/=) :: Annotation -> Annotation -> Bool #
Show Annotation # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Annotation -> ShowS # show :: Annotation -> String # showList :: [Annotation] -> ShowS #
Semigroup Annotation # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (<>) :: Annotation -> Annotation -> Annotation # sconcat :: NonEmpty Annotation -> Annotation # stimes :: Integral b => b -> Annotation -> Annotation #
Monoid Annotation # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods mempty :: Annotation # mappend :: Annotation -> Annotation -> Annotation # mconcat :: [Annotation] -> Annotation #

type Fixed = Bool #

type Nillable = Bool #

type Mixed = Bool #

data MyRestriction #

Constructors

Range Occurs |
Pattern Regexp |
Enumeration [String] |

Instances

Eq MyRestriction # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: MyRestriction -> MyRestriction -> Bool # (/=) :: MyRestriction -> MyRestriction -> Bool #
Show MyRestriction # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> MyRestriction -> ShowS # show :: MyRestriction -> String # showList :: [MyRestriction] -> ShowS #

data PrimitiveType #

Constructors

String |
Boolean |
Decimal |
Float |
Double |
Duration |
DateTime |
Time |
Date |
GYearMonth |
GYear |
GMonthDay |
GDay |
GMonth |
Base64Binary |
HexBinary |
AnyURI |
QName |
Notation |

Instances

Eq PrimitiveType # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: PrimitiveType -> PrimitiveType -> Bool # (/=) :: PrimitiveType -> PrimitiveType -> Bool #
Show PrimitiveType # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> PrimitiveType -> ShowS # show :: PrimitiveType -> String # showList :: [PrimitiveType] -> ShowS #

data Use #

Constructors

Required |
Optional |
Prohibited |

Instances

Eq Use # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Use -> Use -> Bool # (/=) :: Use -> Use -> Bool #
Show Use # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Use -> ShowS # show :: Use -> String # showList :: [Use] -> ShowS #

data Occurs #

Constructors

Occurs (Maybe Int) (Maybe Int) |

Instances

Eq Occurs # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Occurs -> Occurs -> Bool # (/=) :: Occurs -> Occurs -> Bool #
Show Occurs # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Occurs -> ShowS # show :: Occurs -> String # showList :: [Occurs] -> ShowS #
Semigroup Occurs # |
Instance details Defined in Text.XML.HaXml.Schema.TypeConversion Methods (<>) :: Occurs -> Occurs -> Occurs # sconcat :: NonEmpty Occurs -> Occurs # stimes :: Integral b => b -> Occurs -> Occurs #
Monoid Occurs # |
Instance details Defined in Text.XML.HaXml.Schema.TypeConversion Methods mempty :: Occurs # mappend :: Occurs -> Occurs -> Occurs # mconcat :: [Occurs] -> Occurs #

data Field #

Constructors

Field |

Fields

- field_annotation :: Annotation
- field_xpath :: String

Instances

Eq Field # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Field -> Field -> Bool # (/=) :: Field -> Field -> Bool #
Show Field # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Field -> ShowS # show :: Field -> String # showList :: [Field] -> ShowS #

data Selector #

Constructors

Selector |

Fields

- selector_annotation :: Annotation
- selector_xpath :: String

Instances

Eq Selector # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Selector -> Selector -> Bool # (/=) :: Selector -> Selector -> Bool #
Show Selector # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Selector -> ShowS # show :: Selector -> String # showList :: [Selector] -> ShowS #

data KeyRef #

Constructors

KeyRef |

Fields

- keyref_annotation :: Annotation
- keyref_name :: Name
- keyref_refer :: QName
- keyref_selector :: Selector
- keyref_fields :: [Field]

Instances

Eq KeyRef # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: KeyRef -> KeyRef -> Bool # (/=) :: KeyRef -> KeyRef -> Bool #
Show KeyRef # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> KeyRef -> ShowS # show :: KeyRef -> String # showList :: [KeyRef] -> ShowS #

data Key #

Constructors

Key |

Fields

- key_annotation :: Annotation
- key_name :: Name
- key_selector :: Selector
- key_fields :: [Field]

Instances

Eq Key # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Key -> Key -> Bool # (/=) :: Key -> Key -> Bool #
Show Key # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Key -> ShowS # show :: Key -> String # showList :: [Key] -> ShowS #

data Unique #

Constructors

Unique |

Fields

- unique_annotation :: Annotation
- unique_name :: Name
- unique_selector :: Selector
- unique_fields :: [Field]

Instances

Eq Unique # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Unique -> Unique -> Bool # (/=) :: Unique -> Unique -> Bool #
Show Unique # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Unique -> ShowS # show :: Unique -> String # showList :: [Unique] -> ShowS #

data UniqueKeyOrKeyRef #

Constructors

U Unique |
K Key |
KR KeyRef |

Instances

Eq UniqueKeyOrKeyRef # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: UniqueKeyOrKeyRef -> UniqueKeyOrKeyRef -> Bool # (/=) :: UniqueKeyOrKeyRef -> UniqueKeyOrKeyRef -> Bool #
Show UniqueKeyOrKeyRef # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> UniqueKeyOrKeyRef -> ShowS # show :: UniqueKeyOrKeyRef -> String # showList :: [UniqueKeyOrKeyRef] -> ShowS #

data AttributeDecl #

Constructors

AttributeDecl |

Fields

- attr_annotation :: Annotation
- attr_nameOrRef :: Either NameAndType QName
- attr_use :: Use
- attr_defFixed :: Maybe (Either DefaultValue FixedValue)
- attr_form :: QForm
- attr_simpleType :: Maybe SimpleType

Instances

Eq AttributeDecl # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: AttributeDecl -> AttributeDecl -> Bool # (/=) :: AttributeDecl -> AttributeDecl -> Bool #
Show AttributeDecl # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> AttributeDecl -> ShowS # show :: AttributeDecl -> String # showList :: [AttributeDecl] -> ShowS #

data NameAndType #

Constructors

NT |

Fields

- theName :: Name
- theType :: Maybe QName

Instances

Eq NameAndType # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: NameAndType -> NameAndType -> Bool # (/=) :: NameAndType -> NameAndType -> Bool #
Show NameAndType # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> NameAndType -> ShowS # show :: NameAndType -> String # showList :: [NameAndType] -> ShowS #

data ElementDecl #

Constructors

ElementDecl |

Fields

- elem_annotation :: Annotation
- elem_nameOrRef :: Either NameAndType QName
- elem_occurs :: Occurs
- elem_nillable :: Nillable
- elem_substGroup :: Maybe QName
- elem_abstract :: Bool
- elem_final :: Maybe Final
- elem_block :: Maybe Block
- elem_form :: QForm
- elem_content :: Maybe (Either SimpleType ComplexType)
- elem_stuff :: [UniqueKeyOrKeyRef]

Instances

Eq ElementDecl # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ElementDecl -> ElementDecl -> Bool # (/=) :: ElementDecl -> ElementDecl -> Bool #
Show ElementDecl # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ElementDecl -> ShowS # show :: ElementDecl -> String # showList :: [ElementDecl] -> ShowS #

data AttrGroup #

Constructors

AttrGroup |

Fields

- attrgroup_annotation :: Annotation
- attrgroup_nameOrRef :: Either Name QName
- attrgroup_stuff :: [Either AttributeDecl AttrGroup]

Instances

Eq AttrGroup # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: AttrGroup -> AttrGroup -> Bool # (/=) :: AttrGroup -> AttrGroup -> Bool #
Show AttrGroup # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> AttrGroup -> ShowS # show :: AttrGroup -> String # showList :: [AttrGroup] -> ShowS #

data AnyAttr #

Constructors

AnyAttr |

Fields

- anyattr_annotation :: Annotation
- anyattr_namespace :: URI
- anyattr_processContents :: ProcessContents

Instances

Eq AnyAttr # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: AnyAttr -> AnyAttr -> Bool # (/=) :: AnyAttr -> AnyAttr -> Bool #
Show AnyAttr # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> AnyAttr -> ShowS # show :: AnyAttr -> String # showList :: [AnyAttr] -> ShowS #

data Any #

Constructors

Any |

Fields

- any_annotation :: Annotation
- any_namespace :: URI
- any_processContents :: ProcessContents
- any_occurs :: Occurs

Instances

Eq Any # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Any -> Any -> Bool # (/=) :: Any -> Any -> Bool #
Show Any # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Any -> ShowS # show :: Any -> String # showList :: [Any] -> ShowS #

data ElementEtc #

Constructors

HasElement ElementDecl |
HasGroup Group |
HasCS ChoiceOrSeq |
HasAny Any |

Instances

Eq ElementEtc # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ElementEtc -> ElementEtc -> Bool # (/=) :: ElementEtc -> ElementEtc -> Bool #
Show ElementEtc # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ElementEtc -> ShowS # show :: ElementEtc -> String # showList :: [ElementEtc] -> ShowS #

data ChoiceOrSeq #

Constructors

All Annotation [ElementDecl] |
Choice Annotation Occurs [ElementEtc] |
Sequence Annotation Occurs [ElementEtc] |

Instances

Eq ChoiceOrSeq # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ChoiceOrSeq -> ChoiceOrSeq -> Bool # (/=) :: ChoiceOrSeq -> ChoiceOrSeq -> Bool #
Show ChoiceOrSeq # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ChoiceOrSeq -> ShowS # show :: ChoiceOrSeq -> String # showList :: [ChoiceOrSeq] -> ShowS #

data Group #

Constructors

Group |

Fields

- group_annotation :: Annotation
- group_nameOrRef :: Either Name QName
- group_occurs :: Occurs
- group_stuff :: Maybe ChoiceOrSeq

Instances

Eq Group # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Group -> Group -> Bool # (/=) :: Group -> Group -> Bool #
Show Group # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Group -> ShowS # show :: Group -> String # showList :: [Group] -> ShowS #

data ParticleAttrs #

Constructors

PA Particle [Either AttributeDecl AttrGroup] (Maybe AnyAttr) |

Instances

Eq ParticleAttrs # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ParticleAttrs -> ParticleAttrs -> Bool # (/=) :: ParticleAttrs -> ParticleAttrs -> Bool #
Show ParticleAttrs # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ParticleAttrs -> ShowS # show :: ParticleAttrs -> String # showList :: [ParticleAttrs] -> ShowS #

type Particle = Maybe (Either ChoiceOrSeq Group) #

data Extension #

Constructors

Extension |

Fields

- extension_annotation :: Annotation
- extension_base :: QName
- extension_newstuff :: ParticleAttrs

Instances

Eq Extension # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Extension -> Extension -> Bool # (/=) :: Extension -> Extension -> Bool #
Show Extension # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Extension -> ShowS # show :: Extension -> String # showList :: [Extension] -> ShowS #

data Restriction1 #

Constructors

Restriction1 Particle |

Instances

Eq Restriction1 # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Restriction1 -> Restriction1 -> Bool # (/=) :: Restriction1 -> Restriction1 -> Bool #
Show Restriction1 # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Restriction1 -> ShowS # show :: Restriction1 -> String # showList :: [Restriction1] -> ShowS #

data ComplexItem #

Constructors

SimpleContent |

Fields

- ci_annotation :: Annotation
- ci_stuff :: Either Restriction1 Extension

ComplexContent |

Fields

- ci_annotation :: Annotation
- ci_mixed :: Bool
- ci_stuff :: Either Restriction1 Extension

ThisType |

Fields

- ci_thistype :: ParticleAttrs

Instances

Eq ComplexItem # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ComplexItem -> ComplexItem -> Bool # (/=) :: ComplexItem -> ComplexItem -> Bool #
Show ComplexItem # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ComplexItem -> ShowS # show :: ComplexItem -> String # showList :: [ComplexItem] -> ShowS #

data ComplexType #

Constructors

ComplexType |

Fields

- complex_annotation :: Annotation
- complex_name :: Maybe Name
- complex_abstract :: Bool
- complex_final :: Maybe Final
- complex_block :: Maybe Block
- complex_mixed :: Bool
- complex_content :: ComplexItem

Instances

Eq ComplexType # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ComplexType -> ComplexType -> Bool # (/=) :: ComplexType -> ComplexType -> Bool #
Show ComplexType # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ComplexType -> ShowS # show :: ComplexType -> String # showList :: [ComplexType] -> ShowS #

data FacetType #

Constructors

OrderedBoundsMinIncl |
OrderedBoundsMinExcl |
OrderedBoundsMaxIncl |
OrderedBoundsMaxExcl |
OrderedNumericTotalDigits |
OrderedNumericFractionDigits |
UnorderedPattern |
UnorderedEnumeration |
UnorderedWhitespace |
UnorderedLength |
UnorderedMaxLength |
UnorderedMinLength |

Instances

Eq FacetType # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: FacetType -> FacetType -> Bool # (/=) :: FacetType -> FacetType -> Bool #
Show FacetType # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> FacetType -> ShowS # show :: FacetType -> String # showList :: [FacetType] -> ShowS #

data Facet #

Constructors

Facet |

Fields

- facet_facetType :: FacetType
- facet_annotation :: Annotation
- facet_facetValue :: String
- facet_fixed :: Bool

Instances

Eq Facet # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Facet -> Facet -> Bool # (/=) :: Facet -> Facet -> Bool #
Show Facet # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Facet -> ShowS # show :: Facet -> String # showList :: [Facet] -> ShowS #

data Restriction #

Constructors

RestrictSim1 |

Fields

- restrict_annotation :: Annotation
- restrict_base :: Maybe QName
- restrict_r1 :: Restriction1

RestrictType |

Fields

- restrict_annotation :: Annotation
- restrict_base :: Maybe QName
- restrict_type :: Maybe SimpleType
- restrict_facets :: [Facet]

Instances

Eq Restriction # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Restriction -> Restriction -> Bool # (/=) :: Restriction -> Restriction -> Bool #
Show Restriction # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Restriction -> ShowS # show :: Restriction -> String # showList :: [Restriction] -> ShowS #

data SimpleType #

Constructors

Primitive |

Fields

- simple_primitive :: PrimitiveType

Restricted |

Fields

- simple_annotation :: Annotation
- simple_name :: Maybe Name
- simple_final :: Maybe Final
- simple_restriction :: Restriction

ListOf |

Fields

- simple_annotation :: Annotation
- simple_name :: Maybe Name
- simple_final :: Maybe Final
- simple_type :: Either SimpleType QName

UnionOf |

Fields

- simple_annotation :: Annotation
- simple_name :: Maybe Name
- simple_final :: Maybe Final
- simple_union :: [SimpleType]
- simple_members :: [QName]

Instances

Eq SimpleType # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: SimpleType -> SimpleType -> Bool # (/=) :: SimpleType -> SimpleType -> Bool #
Show SimpleType # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> SimpleType -> ShowS # show :: SimpleType -> String # showList :: [SimpleType] -> ShowS #

data SchemaItem #

Constructors

Include SchemaLocation Annotation |
Import URI SchemaLocation Annotation |
Redefine SchemaLocation [SchemaItem] |
Annotation Annotation |
Simple SimpleType |
Complex ComplexType |
SchemaElement ElementDecl |
SchemaAttribute AttributeDecl |
AttributeGroup AttrGroup |
SchemaGroup Group |

Instances

Eq SchemaItem # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: SchemaItem -> SchemaItem -> Bool # (/=) :: SchemaItem -> SchemaItem -> Bool #
Show SchemaItem # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> SchemaItem -> ShowS # show :: SchemaItem -> String # showList :: [SchemaItem] -> ShowS #

data Schema #

Constructors

Schema |

Fields

- schema_elementFormDefault :: QForm
- schema_attributeFormDefault :: QForm
- schema_finalDefault :: Maybe Final
- schema_blockDefault :: Maybe Block
- schema_targetNamespace :: Maybe TargetNamespace
- schema_version :: Maybe String
- schema_namespaces :: [Namespace]
- schema_items :: [SchemaItem]

Instances

Eq Schema # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Schema -> Schema -> Bool # (/=) :: Schema -> Schema -> Bool #
Show Schema # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Schema -> ShowS # show :: Schema -> String # showList :: [Schema] -> ShowS #
Semigroup Schema # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (<>) :: Schema -> Schema -> Schema # sconcat :: NonEmpty Schema -> Schema # stimes :: Integral b => b -> Schema -> Schema #
Monoid Schema # | This instance is pretty unsatisfactory, and is useful only for building environments involving recursive modules. The mappend method is left-biased, and the mempty value contains lots of undefined values.
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods mempty :: Schema # mappend :: Schema -> Schema -> Schema # mconcat :: [Schema] -> Schema #